package com.sun.ts.tests.jaxrpc.wsi.w2j.rpc.literal.R1109;

import com.sun.ts.lib.harness.EETest;
import com.sun.ts.tests.jaxrpc.sharedclients.SOAPClient;
import com.sun.ts.tests.jaxrpc.wsi.constants.CTSConstants;

public class W2JRLR1109ClientOne extends SOAPClient {

  public W2JRLR1109ClientOne(String webServerHost, int port, int mode)
      throws EETest.Fault {
    super(webServerHost, port, mode);
    stubContext.setNamespace("http://soapactionservice.org/wsdl/");
    stubContext.setService("W2JRLR1109TestService");
    stubContext.setPortPrefix("W2JRLR1109TestOne");
    stubContext.setServiceInterface(W2JRLR1109Test.class);
  }

  protected String getEndpointURLProperty() {
    return CTSConstants.w2jrlr1109EndpointOneProperty;
  }

  protected String getWSDLURLProperty() {
    return CTSConstants.w2jrlr1109WSDLOneProperty;
  }

  public String echoString(String s) throws Exception {
    return ((W2JRLR1109Test) stubContext.getStub()).echoString(s);
  }
}
